SUSE Linux 12 SP2 如何安装 GNOME Fallback(老版本的桌面系统)


#1

SUSE Linux 12 SP2 如何安装gnome-session-fallback,在ubuntu12.04是有这个软件包的,suse能完全还原以前的桌面系统(gnome2.x)吗?


#2

你确定 Ubuntu 有 GNOME 3.26 的 Fallback?不然就不叫还原,因为本身装的就是旧版啊,那个包万年不更新的。

opebSUSE 12.2 上的 GNOME 3.6 是有 gbome-session-fallback 这个包的,但是我不知道 SLE12SP2 上有没有。你的 GNOME 版本是多少?

另外喜欢那种体验可以用 xfce 或者 cinnamon/mate 啊,又轻量又新,旧版 GNOME 出问题找不到支持的。

PS:SUSE Linux 和 openSUSE 是两个发行版,大部分好玩儿的东西你只能在 openSUSE 上找到开箱即用的,SLE 花点功夫也能用,但是移植/重编译的工作在 OBS 上找不到现成的可能就要你自己来做了。


#3

谢谢@marguerite回复,我的发行版本是SUSE Linux Enterprise Server 12 SP2,gnome版本是3.20.2,我确认的是ubuntu 12.04的版本源文件里面是有gnome-session-fallback的deb包,且还原程度很高,在suse上面,可以选择使用gnome-classic选项,但是只能部分桌面显示跟原来gnome2.x版本一样,其他的还是较新的功能。


#4

我只知道GNOME有个flashback的。


#5

@mfh1188

Ubuntu 上 gnome-session-fallback 的最高版本是 3.8。再往上就没有了。不更新/后续没有的原因很简单,gnome 的改动使之不可能。

所以在 SLE12SP2 那么高的 gnome 版本上想用是不可能的。只能要么习惯 GNOME Classic 模式要么去寻找比如 MATE 这种替代。你再去用 Ubuntu 14.04 也是不可能的,太旧了。LTS 越到后面越没人支持。


#6

Fallback 被 flashback 替代了,我查看了下 GNOME flashback 上游还是有在更新的,不知道为什么 OBS 上没人打包。


#8

@wsxy162 能下载到吗?


#9

@wsxy162 如何查看上游是否有人在更新


#10

哥们,能给一个mate的安装源吗?最好是离线的?


#11

都说没人打包了。有没有更新网上搜软件包找信息就可以了,它的源码跟GNOME的版本号一致,也是3.26。
另外,另一位“哥们”是苏姐。


#12

上游更新看这里:https://wiki.gnome.org/Projects/GnomeFlashback/Releases

这个 home:opensuse_zh:flashback 是我今天下午弄的,估计明天才能弄好,是针对 SLE12SP2 的 3.20 编译的,因为 gnome 版本不一致,你用不了 3.26 那个。

你恐怕只能等这个了,Mate 想找到 SLE12SP2 可用的也很难。

很好奇为什么用个企业版,单位电脑吗?企业版除非你像我这样可以自己弄,不然用起来很难的。


#13

@marguerite
是单位电脑,等你的flashback?我在你的链接里面找到flashback安装包,我直接安装就可以了吗?


#14

@wsxy162 软件包找不到啊


#15

加这个源:Index of /repositories/home:/opensuse_zh:/flashback/SLE_12_SP2

然后把源里全部的包都装上看看。


#16

@marguerite @wsxy162 当初要装老版本主要是为了解决我们应用程序双屏问题,现在开发人员改了Qt调用的接口,就可以了


#17

呃,这跟 GNOME Flashback 什么关系?


#18

@marguerite 想安装以前的桌面系统,双屏显示可能就会好,当时是这个思路


#19

好吧 :joy: 有时间帮我测试下这个能不能用


#20

@marguerite 好 的